#include <iostream>
using namespace std;

int main() {
   int n, x, l;
   cin>>n;
   int a[n];
   int b[n];
   l=1;
   int k=1;
   for(int i=0;i<n;i++){
       cin>>x;
       a[i]=x;
       cin>>x;
       b[i]=x;
   }
       while(l<n){
        if(a[l]!=a[l-1]){
            k++;
        }
        l++;
       }
       cout<<k;
}